package org.greenstone.gatherer.util;

import java.io.*;

public class StatusHTML {

	static final private String FOOTER = "  <TR><TD>&nbsp;</TD></TR>\n</TABLE>\n<TABLE bgcolor=\"#FFFFFF\" width=\"100%\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\">\n  <TR>\n    <TD align=\"center\">Written by John Thompson. Any comments, bug reports email <A href=\"mailto:jmt12@cs.waikato.ac.nz\">here</A>.</TD>\n  </TR>\n</TABLE>\n</BODY>\n</HTML>";
    static final private String HEADER = "<HTML>\n<HEAD>\n<TITLE>GLI Project Status</TITLE>\n</HEAD>\n<BODY bgcolor=\"#CCCCCC\">\n<TABLE bgcolor=\"#FFFFFF\" width=\"100%\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\">\n  <!-- Header -->\n  <TR bgcolor=\"#B0D0B0\">\n    <TD align=\"center\" colspan=\"7\"><FONT size=\"4\"><STRONG>Greenstone Librarian Interface (GLI) version 2.3 beta</STRONG></FONT></TD>\n  </TR>\n  <TR>\n    <TD colspan=\"7\">This page lists the features planned for the Greenstone Librarian Interface in its next release. It also details the various bugs that have been found and reported in this version of the GLI. You can also review the status reports for these other versions:</TD>\n  </TR>\n  <TR bgcolor=\"#B0D0B0\">\n    <TD align=\"center\">Status v2.3 beta</TD>\n    <TD align=\"center\"><A href=\"http://www.greenstone.org/gatherer/status_23c.html\">Status v2.3c</A></TD>\n    <TD align=\"center\"><A href=\"http://www.greenstone.org/gatherer/status_23b.html\">Status v2.3b</A></TD>\n    <TD align=\"center\"><A href=\"http://www.greenstone.org/gatherer/status_23a.html\">Status v2.3a</A></TD>\n    <TD align=\"center\"><A href=\"http://www.greenstone.org/gatherer/status_22b.html\">Status v2.2b</A></TD>\n    <TD align=\"center\"><A href=\"http://www.greenstone.org/gatherer/status_21.html\">Status v2.1</A></TD>\n    <TD align=\"center\"><A href=\"http://www.greenstone.org/gatherer/status_20.html\">Status v2.0</A></TD>\n  </TR>\n</TABLE>\n<BR/>\n<TABLE border=\"0\" cellpadding=\"5\" cellspacing=\"0\" width=\"100%\">\n  <!-- Header -->\n  <TR bgcolor=\"#B0D0B0\">\n    <TD colspan=\"2\"><STRONG><A name=\"23b\">GLI v2.3 beta - Current Status Report</A></STRONG></TD>\n  </TR>\n  <TR>\n    <TD bgcolor=\"#FFFFFF\" colspan=\"2\">In order recieved. Similar problems only mentioned once, with descriptions combined where possible.</TD>\n  </TR>\n  <TR>\n    <TD colspan=\"2\">&#160;</TD>\n  </TR>\n";
	static final private String[] PREFIX = { 	"  <TR><TD bgcolor=\"#B0D0B0\">ID#</TD>              <TD bgcolor=\"#B0D0B0\">","  <TR><TD bgcolor=\"#B0D0B0\">Description</TD>      <TD bgcolor=\"#E0F0E0\">","  <TR><TD bgcolor=\"#B0D0B0\">Reported By</TD>      <TD bgcolor=\"#FFFFFF\">","  <TR><TD bgcolor=\"#B0D0B0\">Platform</TD>         <TD bgcolor=\"#FFFFFF\">","  <TR><TD bgcolor=\"#B0D0B0\">Test Item#</TD>       <TD bgcolor=\"#FFFFFF\">","  <TR><TD bgcolor=\"#B0D0B0\">Status</TD>           <TD bgcolor=\"#FFFFFF\">","  <TR><TD bgcolor=\"#B0D0B0\">Proposed Solution</TD><TD bgcolor=\"#FFFFFF\">","  <TR><TD bgcolor=\"#B0D0B0\">Solution</TD><TD bgcolor=\"#FFFFFF\">","  <TR><TD>&nbsp;"};

	static final private String SUFFIX = "</TD></TR>\n";

	static public void main(String[] args) {
		try {
			BufferedReader in = new BufferedReader(new FileReader(new File("status.txt")));
			FileOutputStream out = new FileOutputStream(new File("status.html"));
			out.write(HEADER.getBytes());
			int line_count = 0;
			boolean is_fixed = false;
			String line = null;
			while((line = in.readLine()) != null) {
			    if(line_count == 6) {
				if(is_fixed) {
				    out.write(PREFIX[line_count + 1].getBytes());
				}
				else {
				    out.write(PREFIX[line_count].getBytes());
				}
				line_count++;
			    }
			    else {
				out.write(PREFIX[line_count].getBytes());
			    }
			    line = line.replaceAll("<", "&lt;");
			    line = line.replaceAll(">", "&gt;");
			    // If we encounter a status entry, we must base the prefix of the solution tag on whether it is fixed or not.
			    if(line_count == 5) {
				if(line.indexOf("Fixed") != -1) {
				    is_fixed = true;
				}
				else {
				    is_fixed = false;
				}
			    }
			    out.write(line.getBytes());
			    out.write(SUFFIX.getBytes());
			    out.write('\n');
			    line_count++;
			    if(line_count == PREFIX.length) {
				out.write('\n');
				line_count = 0;
			    }
			}
			in.close();
			in = null;
			out.write(FOOTER.getBytes());
			out.close();
			out = null;
		}
		catch(Exception error) {
			error.printStackTrace();
		}
	}
}
