<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <!-- style includes global params interface_name, library_name -->
  <xsl:include href="style.xsl"/>

  <xsl:output method="html"/>  

  <xsl:template name="pageHead">
    <head>
      <title>
	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
      </title>
    </head>
  </xsl:template>
  
  <xsl:template match="pageResponse">
    <xsl:call-template name="greenstonePageBanner"/> 
    <!--<center>-->
    <xsl:apply-templates select="collectionList"/>
    <xsl:call-template name="dividerBar"/>
    <xsl:apply-templates select="serviceClusterList"/>
    <xsl:call-template name="dividerBar"/>
      <xsl:apply-templates select="serviceList"/>
    <!--</center>-->
  </xsl:template>


  <xsl:template match="collectionList">
    <xsl:for-each select="collection"> 
      <p>
      <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}">
	  <img width="150" border="1">
	    <xsl:attribute name="src">
	      <xsl:value-of select="metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="displayItem[@name='icon']"/>
	    </xsl:attribute>
	    <xsl:attribute name="alt">
	      <xsl:value-of select="displayItem[@name='name']"/>
	    </xsl:attribute>
	  </img>
	</a>
      </p>
    </xsl:for-each>   
  </xsl:template> 
  
  <xsl:template match="serviceClusterList">
    <xsl:for-each select="serviceCluster"> 
      <p/><a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}"><xsl:value-of select='@name'/><xsl:value-of select="displayItem[@name='name']"/></a>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>  


